000025724 - Crypto-C & COBOL wrapper compatibility with OS/390 z/OS 1.6 - 1.11

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000025724
Applies ToRSA BSAFE Crypto-C 6.0.3
RSA BSAFE Crypto-C 6.1.2
RSA BSAFE Crypto-C 6.2.1
RSA BSAFE Crypto-C 6.3.1
RSA BSAFE Crypto-C 1.0.1 COBOL wrappers
RSA BSAFE Crypto-C 6.1.2 COBOL wrappers
RSA BSAFE Crypto-C 6.2.1 COBOL wrappers
OS/390
z/OS
z/OS r1.6
z/OS r1.7
z/OS r1.8
z/OS r1.9
z/OS r1.10
z/OS r1.11
z/OS r1.12
V1R2M0
V1R6M0
V1R10M0
V1R11
IssueCrypto-C & COBOL wrapper compatibility with OS/390 z/OS 1.6 - 1.11
NotesV1R12
V1R12
Engineering has confirmed that Crypto-C and the COBOL wrappers should run fine on z/OS 1.6-1.12 (ViR6, V1R7, V1R8, V1R9, V1R10,V1R11, V1R12)

Crypto-C 6.0.3, 6.1.2 and 6.2.1 were built and tested on OS/390 V1R2M0 with the V1R2M0 C/C++ compiler, while 6.3.1 was built and tested on both V1R2M0 and V1R6M0.

All of these should be compatible with OS/390 or z/OS 1.6 - 1.12.

COBOL wrappers were available on a Custom Application basis from Professional Services with the 6.1.2 (1.0?) and 6.2.1 (1.0.1?) releases.  These were both tested on V1R2M0, but are not closely tied to the OS and should be compatible with OS/390 or z/OS 1.6 - 1.12.


Since Crypto-C doesn't rely on system services, and the z/OS core LE runtime makes relatively strong guarantees of forward compatibility, Engineering is comfortable supporting the current shipping version of Crypto-C 6.3.1 for z/OS on newer versions of z/OS.
Legacy Article IDa35666

Attachments

    Outcomes